classification
Title: Backport PEP 3141 to 2.6
Type: behavior Stage:
Components: Documentation, Library (Lib) Versions: Python 2.6
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: Nosy List: facundobatista, gvanrossum, jyasskin
Priority: normal Keywords:

Created on 2007-12-23 02:00 by jyasskin, last changed 2008-03-16 19:47 by jyasskin. This issue is now closed.

Files
File name Uploaded Description Edit
backport_numbers.patch jyasskin, 2007-12-23 02:00
backport_numbers_with_docs.patch jyasskin, 2007-12-31 22:24
Messages (6)
msg58967 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2007-12-23 02:00
This includes r50877 (just the complex_pow part), r56649, r56652,
r56715, r57296, r57302, r57359, r57361, r57372, r57738, r57739, r58017,
r58039, r58040, and r59390.
msg58984 - (view) Author: Facundo Batista (facundobatista) * (Python committer) Date: 2007-12-24 14:21
The patch applies cleanly, all test cases are ok.

To be commited, documentation should be created for this, would you
please take care of it?

Also, some lines for NEWS will be welcomed.

Thank you!!
msg59063 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2007-12-31 22:24
I've added some rudimentary documentation and a line for NEWS. Before
the docs for this patch can really be finished, we'll need to figure out
how we want to document ABCs. I'll think about that and probably send
some more patches, but I don't think that should block the implementation.
msg59119 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2008-01-03 02:23
I've committed this as r59671, except that round() returns a float again
to make sure we keep compatibility. Let me know if you find anything
that needs fixing.
msg63588 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2008-03-16 17:40
Why can't this be closed?
msg63590 - (view) Author: Jeffrey Yasskin (jyasskin) * (Python committer) Date: 2008-03-16 19:47
It can. :)
History
Date User Action Args
2008-03-16 19:47:12jyasskinsetstatus: pending -> closed
messages: + msg63590
2008-03-16 17:40:40gvanrossumsetnosy: + gvanrossum
messages: + msg63588
2008-01-19 22:54:46georg.brandlsetstatus: open -> pending
resolution: accepted
2008-01-03 02:24:00jyasskinsetmessages: + msg59119
2007-12-31 22:24:44jyasskinsetfiles: + backport_numbers_with_docs.patch
messages: + msg59063
components: + Documentation
2007-12-24 14:21:52facundobatistasetnosy: + facundobatista
messages: + msg58984
2007-12-23 02:00:34jyasskincreate